#!/bin/bash
#
# Splits minotaur table into strips

# crea una base bianca e la incolla sotto l'immagine originale
echo "modifying minotaur table..."
convert -size 3072x1024 xc:"rgb(100,100,100)" white_base.png
convert -size 3072x1024 xc:black black_base.png
composite minotaur_alpha.png white_base.png minotaur_white.png
mogrify -transparent "rgb(100,100,100)" minotaur_white.png
composite minotaur_white.png black_base.png minotaur_black.png

# taglia a fette orizzontali tutta la tavola
echo "cutting minotaur table..."
convert minotaur_black.png -crop 3072x128 +repage minos_tiles_%02d.png

# taglia tutti i frame della striscia 07
echo "cutting minotaur frames..."
convert minos_tiles_07.png -crop 128x128 +repage minos_%03d.png

# ri-compone i frame in una gif animata
echo "building minotaur animation..."
convert -delay 20 minos_000.png minos_001.png minos_002.png minos_003.png minos_002.png minos_001.png minos_000.png minos_001.png minos_002.png minos_003.png minos_002.png minos_001.png minos_000.png minos_004.png minos_005.png minos_006.png minos_007.png minos_008.png minos_009.png minos_010.png minos_011.png minos_004.png minos_005.png minos_006.png minos_007.png minos_008.png minos_009.png minos_010.png minos_011.png minos_004.png minos_005.png minos_006.png minos_007.png minos_008.png minos_009.png minos_010.png minos_011.png -loop 0 minos.gif


